Page MenuHomePhabricator

Split wikidata dispatch-script metrics by wiki
Closed, ResolvedPublic

Description

Discovered while investigating T194602

Metrics reported on https://grafana.wikimedia.org/dashboard/db/wikidata-dispatch-script are currently broadly grouped for all wikibases.
This should be split per wiki / dbname as currently the testwikidata runs of the script are contaminating the wikidatawiki data making it harder to investigate.

This will require including the dbname in the metric name when reported in the PHP statsd calls in the dispatch script and other classes.

Details

Related Gerrit Patches:

Event Timeline

Addshore created this task.Jun 7 2018, 8:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2018, 8:10 AM
Addshore updated the task description. (Show Details)Jun 26 2018, 10:07 AM
Vvjjkkii renamed this task from Split wikidata dispatch-script metrics by wiki to yhbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from yhbaaaaaaa to Split wikidata dispatch-script metrics by wiki.Jul 2 2018, 3:12 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 443467 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] Add MediaWikiService::getPerDbNameStatsdDataFactory

https://gerrit.wikimedia.org/r/443467

Change 443469 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Use getPerDbNameStatsdDataFactory for dispatch metrics

https://gerrit.wikimedia.org/r/443469

Once both patches are merged and deployed the dashboards on grafana will need to be updated

Addshore claimed this task.Jul 2 2018, 5:08 PM
Addshore moved this task from Incoming to Peer Review on the Wikidata-Campsite board.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJul 2 2018, 5:08 PM

Change 443467 merged by jenkins-bot:
[mediawiki/core@master] Add MediaWikiService::getPerDbNameStatsdDataFactory

https://gerrit.wikimedia.org/r/443467

Jonas closed this task as Resolved.Jul 3 2018, 12:44 PM
Jonas moved this task from Peer Review to Done on the Wikidata-Campsite board.

Change 443469 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use getPerDbNameStatsdDataFactory for dispatch metrics

https://gerrit.wikimedia.org/r/443469

Change 448031 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] Fix PerDbnameStatsdDataFactory metric prefix

https://gerrit.wikimedia.org/r/448031

Change 448031 merged by jenkins-bot:
[mediawiki/core@master] Fix PerDbnameStatsdDataFactory metric prefix

https://gerrit.wikimedia.org/r/448031